function x=gem(A,b)
% Gaussova eliminační metoda 
% pro reseni soustavy Ax=b
 
clc;
tisk=sprintf('Gaussova eliminační metoda pro reseni soustavy  Ax=b, kde ');
disp(tisk);
A
b

n=size(A,1);

for k=1:n-1
   for i=k+1:n
      m(i,k) = - A(i,k)/A(k,k);
      for j=k+1:n
         A(i,j) = A(i,j) + m(i,k) * A(k,j);
      end
      b(i)   = b(i) + m(i,k) * b(k);
   end
end

x(n)=0;
for l=n:-1:1
   pom=0;
   for j=l+1:n
      pom = pom + A(l,j) * x(j);
   end
   x(l)  = 1/A(l,l) * (b(l) - pom);
end 

x=x'


